com.digi.xbee.api.io

## Enum IOMode

- java.lang.Object
- - java.lang.Enum<IOMode>
  - - com.digi.xbee.api.io.IOMode

- All Implemented Interfaces:
    Serializable, Comparable<IOMode>

      public enum IOMode
      extends Enum<IOMode>

  Enumerates the different Input/Output modes that an IO line can be configured with.
  See Also:
    `IOLine`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADC`
    `DIGITAL_IN`
    `DIGITAL_OUT_HIGH`
    `DIGITAL_OUT_LOW`
    `DISABLED`
    `PWM`
    `SPECIAL_FUNCTIONALITY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getID()` Returns the IO mode ID.
    `static IOMode` | `getIOMode(int modeID)` Returns the `IOMode` associated to the provided mode ID.
    `static IOMode` | `getIOMode(int modeID, IOLine ioLine)` Returns the `IOMode` corresponding to the provided mode ID and IO line.
    `String` | `getName()` Returns the IO mode name.
    `String` | `toString()`
    `static IOMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IOMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADC

          public static final IOMode ADC

    - #### DIGITAL_IN

          public static final IOMode DIGITAL_IN

    - #### DIGITAL_OUT_HIGH

          public static final IOMode DIGITAL_OUT_HIGH

    - #### DIGITAL_OUT_LOW

          public static final IOMode DIGITAL_OUT_LOW

    - #### DISABLED

          public static final IOMode DISABLED

    - #### PWM

          public static final IOMode PWM

    - #### SPECIAL_FUNCTIONALITY

          public static final IOMode SPECIAL_FUNCTIONALITY

  - ### Method Detail

    - #### getID

          public int getID()

      Returns the IO mode ID.
      Returns:
        IO mode ID.

    - #### getIOMode

          public static IOMode getIOMode(int modeID)

      Returns the `IOMode` associated to the provided mode ID.
      Parameters:
        `modeID` - The ID of the `IOMode` to retrieve.
      Returns:
        The `IOMode` associated to the provided mode ID.

    - #### getIOMode

          public static IOMode getIOMode(int modeID,
                         IOLine ioLine)

      Returns the `IOMode` corresponding to the provided mode ID and IO line.
      Parameters:
        `modeID` - The ID of the `IOMode` to retrieve.
        `ioLine` - The IO line to retrieve its `IOMode`.
      Returns:
        The `IOMode` corresponding to the provided mode ID and IO line.
      See Also:
        `IOLine`

    - #### getName

          public String getName()

      Returns the IO mode name.
      Returns:
        IO mode name.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<IOMode>`

    - #### valueOf

          public static IOMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static IOMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IOMode c : IOMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

© Copyright 2014–2014 Digi International Inc. All rights reserved.